goocanvasmm: Goocanvas::Grid Class Reference

goocanvasmm 1.90.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Goocanvas::Grid Class Reference
Inheritance diagram for Goocanvas::Grid:
[legend]

List of all members.

## Public Member Functions
virtual | ~Grid ()
GooCanvasGrid* | gobj ()
| Provides access to the underlying C GObject.
const GooCanvasGrid* | gobj () const
| Provides access to the underlying C GObject.
GooCanvasGrid* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< double > | property_x_step ()
| The distance between the vertical grid lines.
Glib::PropertyProxy_ReadOnly < double > | property_x_step () const
| The distance between the vertical grid lines.
Glib::PropertyProxy< double > | property_y_step ()
| The distance between the horizontal grid lines.
Glib::PropertyProxy_ReadOnly < double > | property_y_step () const
| The distance between the horizontal grid lines.
Glib::PropertyProxy< double > | property_x_offset ()
| The distance before the first vertical grid line.
Glib::PropertyProxy_ReadOnly < double > | property_x_offset () const
| The distance before the first vertical grid line.
Glib::PropertyProxy< double > | property_y_offset ()
| The distance before the first horizontal grid line.
Glib::PropertyProxy_ReadOnly < double > | property_y_offset () const
| The distance before the first horizontal grid line.
Glib::PropertyProxy< double > | property_horz_grid_line_width ()
| The width of the horizontal grid lines.
Glib::PropertyProxy_ReadOnly < double > | property_horz_grid_line_width () const
| The width of the horizontal grid lines.
Glib::PropertyProxy< double > | property_vert_grid_line_width ()
| The width of the vertical grid lines.
Glib::PropertyProxy_ReadOnly < double > | property_vert_grid_line_width () const
| The width of the vertical grid lines.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_horz_grid_line_pattern ()
| The cairo pattern to paint the horizontal grid lines with.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_horz_grid_line_pattern () const
| The cairo pattern to paint the horizontal grid lines with.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_vert_grid_line_pattern ()
| The cairo pattern to paint the vertical grid lines with.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_vert_grid_line_pattern () const
| The cairo pattern to paint the vertical grid lines with.
Glib::PropertyProxy< double > | property_border_width ()
| The width of the border around the grid.
Glib::PropertyProxy_ReadOnly < double > | property_border_width () const
| The width of the border around the grid.
Glib::PropertyProxy < Cairo::RefPtr < Cairo::Pattern > > | property_border_pattern ()
| The cairo pattern to paint the border with.
Glib::PropertyProxy_ReadOnly < Cairo::RefPtr < Cairo::Pattern > > | property_border_pattern () const
| The cairo pattern to paint the border with.
Glib::PropertyProxy< bool > | property_vert_grid_lines_on_top ()
| If the vertical grid lines are painted above the horizontal grid lines.
Glib::PropertyProxy_ReadOnly < bool > | property_vert_grid_lines_on_top () const
| If the vertical grid lines are painted above the horizontal grid lines.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_horz_grid_line_color ()
| The color to use for the horizontal grid lines.
Glib::PropertyProxy< guint > | property_horz_grid_line_color_rgba ()
| The color to use for the horizontal grid lines, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_horz_grid_line_color_rgba () const
| The color to use for the horizontal grid lines, specified as a 32-bit integer value.
Glib::PropertyProxy< Gdk::RGBA > | property_horz_grid_line_color_gdk_rgba ()
| The color to use for the horizontal grid lines, specified as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_horz_grid_line_color_gdk_rgba () const
| The color to use for the horizontal grid lines, specified as a GdkRGBA.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_horz_grid_line_pixbuf ()
| The pixbuf to use to draw the horizontal grid lines.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_vert_grid_line_color ()
| The color to use for the vertical grid lines.
Glib::PropertyProxy< guint > | property_vert_grid_line_color_rgba ()
| The color to use for the vertical grid lines, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_vert_grid_line_color_rgba () const
| The color to use for the vertical grid lines, specified as a 32-bit integer value.
Glib::PropertyProxy< Gdk::RGBA > | property_vert_grid_line_color_gdk_rgba ()
| The color to use for the vertical grid lines, specified as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_vert_grid_line_color_gdk_rgba () const
| The color to use for the vertical grid lines, specified as a GdkRGBA.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_vert_grid_line_pixbuf ()
| The pixbuf to use to draw the vertical grid lines.
Glib::PropertyProxy_WriteOnly < Glib::ustring > | property_border_color ()
| The color to use for the border.
Glib::PropertyProxy< guint > | property_border_color_rgba ()
| The color to use for the border, specified as a 32-bit integer value.
Glib::PropertyProxy_ReadOnly < guint > | property_border_color_rgba () const
| The color to use for the border, specified as a 32-bit integer value.
Glib::PropertyProxy< Gdk::RGBA > | property_border_color_gdk_rgba ()
| The color to use for the border, specified as a GdkRGBA.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_border_color_gdk_rgba () const
| The color to use for the border, specified as a GdkRGBA.
Glib::PropertyProxy_WriteOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_border_pixbuf ()
| The pixbuf to use to draw the border.
## Static Public Member Functions
static Glib::RefPtr< Grid > | create (double x=0, double y=0, double width=0, double height=0, double x_step=0, double y_step=0, double x_offset=0, double y_offset=0)
## Protected Member Functions
| Grid (double x=0, double y=0, double width=0, double height=0, double x_step=0, double y_step=0, double x_offset=0, double y_offset=0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Goocanvas::Grid > | wrap (GooCanvasGrid* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Goocanvas::Grid::~Grid | ( |  | ) | `[virtual]`

Goocanvas::Grid::Grid | ( | double | x = `0`,
|  | double | y = `0`,
|  | double | width = `0`,
|  | double | height = `0`,
|  | double | x_step = `0`,
|  | double | y_step = `0`,
|  | double | x_offset = `0`,
|  | double | y_offset = `0`
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<Grid> Goocanvas::Grid::create | ( | double | x = `0`,
|  | double | y = `0`,
|  | double | width = `0`,
|  | double | height = `0`,
|  | double | x_step = `0`,
|  | double | y_step = `0`,
|  | double | x_offset = `0`,
|  | double | y_offset = `0`
| ) |  | `[static]`

GooCanvasGrid* Goocanvas::Grid::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

const GooCanvasGrid* Goocanvas::Grid::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Goocanvas::ItemSimple.

GooCanvasGrid* Goocanvas::Grid::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Goocanvas::ItemSimple.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::Grid::property_border_color | ( |  | ) |

The color to use for the border.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::RGBA> Goocanvas::Grid::property_border_color_gdk_rgba | ( |  | ) |

The color to use for the border, specified as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::RGBA> Goocanvas::Grid::property_border_color_gdk_rgba | ( |  | ) | const

The color to use for the border, specified as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::Grid::property_border_color_rgba | ( |  | ) | const

The color to use for the border, specified as a 32-bit integer value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::Grid::property_border_color_rgba | ( |  | ) |

The color to use for the border, specified as a 32-bit integer value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Grid::property_border_pattern | ( |  | ) |

The cairo pattern to paint the border with.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Grid::property_border_pattern | ( |  | ) | const

The cairo pattern to paint the border with.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::Grid::property_border_pixbuf | ( |  | ) |

The pixbuf to use to draw the border.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_border_width | ( |  | ) |

The width of the border around the grid.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_border_width | ( |  | ) | const

The width of the border around the grid.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::Grid::property_horz_grid_line_color | ( |  | ) |

The color to use for the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::RGBA> Goocanvas::Grid::property_horz_grid_line_color_gdk_rgba | ( |  | ) |

The color to use for the horizontal grid lines, specified as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::RGBA> Goocanvas::Grid::property_horz_grid_line_color_gdk_rgba | ( |  | ) | const

The color to use for the horizontal grid lines, specified as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::Grid::property_horz_grid_line_color_rgba | ( |  | ) | const

The color to use for the horizontal grid lines, specified as a 32-bit integer value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::Grid::property_horz_grid_line_color_rgba | ( |  | ) |

The color to use for the horizontal grid lines, specified as a 32-bit integer value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Grid::property_horz_grid_line_pattern | ( |  | ) |

The cairo pattern to paint the horizontal grid lines with.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Grid::property_horz_grid_line_pattern | ( |  | ) | const

The cairo pattern to paint the horizontal grid lines with.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::Grid::property_horz_grid_line_pixbuf | ( |  | ) |

The pixbuf to use to draw the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_horz_grid_line_width | ( |  | ) |

The width of the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_horz_grid_line_width | ( |  | ) | const

The width of the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly<Glib::ustring> Goocanvas::Grid::property_vert_grid_line_color | ( |  | ) |

The color to use for the vertical grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Gdk::RGBA> Goocanvas::Grid::property_vert_grid_line_color_gdk_rgba | ( |  | ) |

The color to use for the vertical grid lines, specified as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Gdk::RGBA> Goocanvas::Grid::property_vert_grid_line_color_gdk_rgba | ( |  | ) | const

The color to use for the vertical grid lines, specified as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint> Goocanvas::Grid::property_vert_grid_line_color_rgba | ( |  | ) |

The color to use for the vertical grid lines, specified as a 32-bit integer value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint> Goocanvas::Grid::property_vert_grid_line_color_rgba | ( |  | ) | const

The color to use for the vertical grid lines, specified as a 32-bit integer value.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Grid::property_vert_grid_line_pattern | ( |  | ) |

The cairo pattern to paint the vertical grid lines with.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Cairo::RefPtr<Cairo::Pattern> > Goocanvas::Grid::property_vert_grid_line_pattern | ( |  | ) | const

The cairo pattern to paint the vertical grid lines with.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_WriteOnly< Glib::RefPtr<Gdk::Pixbuf> > Goocanvas::Grid::property_vert_grid_line_pixbuf | ( |  | ) |

The pixbuf to use to draw the vertical grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_vert_grid_line_width | ( |  | ) | const

The width of the vertical grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_vert_grid_line_width | ( |  | ) |

The width of the vertical grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<bool> Goocanvas::Grid::property_vert_grid_lines_on_top | ( |  | ) | const

If the vertical grid lines are painted above the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<bool> Goocanvas::Grid::property_vert_grid_lines_on_top | ( |  | ) |

If the vertical grid lines are painted above the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_x_offset | ( |  | ) | const

The distance before the first vertical grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_x_offset | ( |  | ) |

The distance before the first vertical grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_x_step | ( |  | ) | const

The distance between the vertical grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_x_step | ( |  | ) |

The distance between the vertical grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_y_offset | ( |  | ) | const

The distance before the first horizontal grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_y_offset | ( |  | ) |

The distance before the first horizontal grid line.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<double> Goocanvas::Grid::property_y_step | ( |  | ) | const

The distance between the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<double> Goocanvas::Grid::property_y_step | ( |  | ) |

The distance between the horizontal grid lines.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Goocanvas::Grid > wrap | ( | GooCanvasGrid * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- goocanvasmm/grid.h